### Method

# Shell GLSLEffect get_uniform_location

#### Declaration [src]

    int
    shell_glsl_effect_get_uniform_location (
      ShellGLSLEffect* effect,
      const char* name
    )

#### Description

No description available.

#### Parameters

`name`

  Type: `const char*`

  The uniform name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `int`

The location of the uniform named `name`, that can be passed to shell_glsl_effect_set_uniform_float().